List Inference Endpoint Jobs
curl --request GET \
--url https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints/{inference_endpoint_name}/jobs \
--header 'Salad-Api-Key: <api-key>'import requests
url = "https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints/{inference_endpoint_name}/jobs"
headers = {"Salad-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Salad-Api-Key': '<api-key>'}};
fetch('https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints/{inference_endpoint_name}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"create_time": "2023-11-07T05:31:56Z",
"events": [
{
"action": "created",
"time": "2023-11-07T05:31:56Z"
}
],
"id": "2fc459a1-1c09-4a34-ade7-54d03fc51d6a",
"inference_endpoint_name": "transcribe",
"input": "<unknown>",
"organization_name": "acme-corp",
"status": "pending",
"update_time": "2023-11-07T05:31:56Z",
"metadata": {},
"output": "<unknown>",
"webhook": "<string>",
"webhook_url": "<string>"
}
],
"page": 1,
"page_size": 1,
"total_size": 100
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}Inference Endpoints
List Inference Endpoint Jobs
Lists inference endpoint jobs.
GET
/
organizations
/
{organization_name}
/
inference-endpoints
/
{inference_endpoint_name}
/
jobs
List Inference Endpoint Jobs
Last Updated: July 1, 2025
Authorizations
Path Parameters
Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.
Required string length:
2 - 63Pattern:
^[a-z][a-z0-9-]{0,61}[a-z0-9]$Example:
"acme-corp"
The inference endpoint name.
Required string length:
2 - 63Pattern:
^[a-z][a-z0-9-]{0,61}[a-z0-9]$Example:
"transcribe"
Query Parameters
The page number.
Required range:
1 <= x <= 2147483647Example:
1
The maximum number of items per page.
Required range:
1 <= x <= 100Example:
1
Response
OK
Represents a collection of inference endpoint jobs
The list of inference endpoint jobs.
Maximum array length:
100Show child attributes
Show child attributes
The page number.
Required range:
1 <= x <= 2147483647Example:
1
The maximum number of items per page.
Required range:
1 <= x <= 100Example:
1
The total number of items in the collection.
Required range:
0 <= x <= 2147483647Example:
100
Was this page helpful?